import { Tabs as FoundationTabs } from '@ni/fast-foundation';
import type { TabsOwner } from '../patterns/tabs/types';
declare global {
    interface HTMLElementTagNameMap {
        'nimble-tabs': Tabs;
    }
}
/**
 * A nimble-styled tabs control
 */
export declare class Tabs extends FoundationTabs implements TabsOwner {
    /**
     * @internal
     */
    showScrollButtons: boolean;
    /**
     * @internal
     */
    readonly tablist: HTMLElement;
    /**
     * @internal
     */
    readonly leftScrollButton?: HTMLElement;
    /**
     * @internal
     */
    readonly tabSlotName = "tab";
    private readonly tabListResizeObserver;
    constructor();
    /**
     * @internal
     */
    connectedCallback(): void;
    /**
     * @internal
     */
    disconnectedCallback(): void;
    /**
     * @internal
     */
    activeidChanged(oldValue: string, newValue: string): void;
    /**
     * @internal
     */
    onScrollLeftClick(): void;
    /**
     * @internal
     */
    onScrollRightClick(): void;
}
export declare const tabsTag = "nimble-tabs";
